Subject: Re: [PATCH RFC v6 08/19] Makefile: refactor GIT-VERSION-GEN to be reusable

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Nov 2024 08:12:02 +0900

Patrick Steinhardt <[email-masked]> writes:

> Yes, I fully agree that using a version header would make more sense. I
> had the intent to do this as a follow-up, but I'll have a look at your
> patch and maybe do it now already.

Yeah, I like the direction myself, too.

Some folks (including me) may need to adjust build wrappers they
have around our Makefile when we change behaviour of GIT-VERSION-GEN
and friends, but these files are meant to be "implementation
details" that server our build, and anybody who have been depending
on their behaviour are responsible for adjusting to changes to them.